<div class="flex flex-col flex-auto items-top min-w-0" style="background-color:#F8F8F8;">
  <!-- Logo -->
  <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
    <div class="container mx-auto flex justify-between">
      <div class="container flex items-center h-14 px-4 mb-3 pb-0">
        <!-- Light version -->
        <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
        <!-- Dark version -->
        <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
      </div>
      <div class="flex items-center cursor-pointer" [routerLink]="['/sign-in']">
        <span class="mt-6 mb-6 font-333 font-Regular-18">Login</span>
      </div>
    </div>
  </div>


  <div class="container mx-auto flex justify-between">
    <div class="flex items-center cursor-pointer" [routerLink]="['/investor-type']"><mat-icon class="mt-6 mb-6 "
        style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-20"
        style="color: #0038FF;">Back</span></div>

    <div class="flex items-center  w-auto">
      <button [routerLink]="['/register']" class="mr-2	"
        style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

      <button class="mr-2	"
        style="border: 1px; background-color:#D1D3D4; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

      <button class="mr-2	"
        style="border: 1px; background-color:#D1D3D4; width:46px !important; height: 4px !important; border-radius: 5px;"></button>
    </div>

    <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
  </div>


  <div class="flex flex-col pt-6 mx-6">
    <div class="mt-2 font-Semibold-40 font-141461 leading-none text-center">
      <div>Register</div>
    </div>
  </div>
  <div id="personalInfo"
    class="items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 bg-card box-width"
    style="box-shadow: 0px 0px 6px #0000001A;">
    <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">

      <div class="font-Semibold-24 mb-2">Personal Information</div>

      <!-- Alert -->
      <fuse-alert class="mt-8" *ngIf="showAlert" [appearance]="'outline'" [showIcon]="false" [type]="alert.type"
        [@shake]="alert.type === 'error'">
        {{alert.message}}
      </fuse-alert>

      <form class="" [formGroup]="AuthRegisterForm" #AuthRegisterNgForm="ngForm">

        <mat-form-field appearance="outline" class="borderColor fuse-mat-button-large w-full mt-2" ng-reflect-color
          [color]="'primary'" id="registerForm" style="border-color: #bfd3ff;">
          <mat-label>Name</mat-label>
          <input matInput formControlName="fullName" required>
          <mat-hint class="font-Regular-14 font-7B7B7B">Please fill in your name based on your MyKad/ MyPR/ MyTentera</mat-hint>

          <mat-error *ngIf="AuthRegisterForm.get('fullName').hasError('required')">
            Your name is required
          </mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" class="fuse-mat-button-large w-full mt-6 sm-1">
          <mat-label>Enter your phone number</mat-label>
          <ngx-mat-intl-tel-input [cssClass]="'custom'" [preferredCountries]="['my']" [enablePlaceholder]="true"
            placeholder="Enter your phone number" name="phoneNumber" formControlName="phoneNumber"
            #phone></ngx-mat-intl-tel-input>
          <!-- <mat-hint class="font-Regular-14 font-7B7B7B">e.g. {{phone.selectedCountry.placeHolder}}</mat-hint> -->

          <mat-error *ngIf="AuthRegisterForm.get('phoneNumber').hasError('required')">
            Mobile phone is required
          </mat-error>
          <mat-error *ngIf="AuthRegisterForm.get('phoneNumber').hasError('pattern')">
            Please enter your mobile phone in format: +60123456789
          </mat-error>
        </mat-form-field>

        <div>
          <button class="fuse-mat-button-large w-full mt-6 button-r5" mat-flat-button [color]="'primary'"
            [disabled]="AuthRegisterForm.disabled" (click)="sendOtp()">
            <span *ngIf="!AuthRegisterForm.disabled">
              Continue
            </span>
          </button>
        </div>
      </form>

    </div>
  </div>
</div>